---
Title: Python interface
Authors: Tamas, Jutta
Topics:
  - installation
  - interface through software
status: dump
---


KM3NeT develops open source Python software for accessing and working with data
taken by the detector, produced in simulations or in other analysis pipelines
e.g. event reconstructions. The software is following the Semantic Versioning
2.0 (https://semver.org) conventions and the release automatically triggered on
the GitLab CI by annotated Git tags. These releases are uploaded to the publicly
accessible Python Package Index, which is the main repository of software for
the Python programming language. The installation of these packages is as simple
as executing `pip install PACKAGE_NAME`.



## Python interface to KM3NeT data
### openkm3
* Small python package to directly use open data in python from local computer 
* Interfaces with data center API, allows to query datasets (km3resources)
* Provides functions to download & interpret data products

# Current capability
* Loading hdf-File as pandas DataFrame, reading additional parameter infos & provenance
* Reading histogram data as plain table, pandas Dataframe or automatically build plot
